Skip to main content
POST
/
api
/
v1
/
studies
Create Study
curl --request POST \
  --url https://api.getversive.com/api/v1/studies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "New Study",
  "description": "A study about...",
  "type": "VERSIVE_STUDY",
  "mode": "TEXT_AND_VOICE"
}
'
{
  "id": "study_123",
  "title": "My Study",
  "metadata": {},
  "type": "VERSIVE_STUDY",
  "mode": "TEXT_AND_VOICE",
  "created_at": "2024-01-01T00:00:00Z",
  "description": "A study about preferences.",
  "config": {
    "interviewName": "Interviewer",
    "primaryColor": "#0E9489"
  },
  "welcome_message": {
    "title": "Welcome",
    "body": "Thanks for participating."
  },
  "thank_you_message": {
    "title": "Thank You",
    "body": "Goodbye."
  },
  "screen_out_message": {
    "title": "Screened Out",
    "body": "Sorry."
  }
}
Use this endpoint to create a new study. A study is a container for interviews and configurations. You can specify:
  • title: The name of your study.
  • description: A brief description of the study’s purpose.
  • config: Configuration options like interviewName, primaryColor, and more.
  • metadata: Custom key-value pairs for your internal tracking.
Once created, you can retrieve the study ID to manage questions and interviews.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
title
string
required
description
string | null
metadata
Metadata · object | null
config
Config · object | null
type
string
default:VERSIVE_STUDY
mode
string
default:TEXT_AND_VOICE
welcome_message
Welcome Message · object | null
thank_you_message
Thank You Message · object | null
screen_out_message
Screen Out Message · object | null
folder_id
string | null
insights
Insights · object | null

Response

Successful Response